summaryrefslogtreecommitdiff
path: root/x86_64-generic/devel-system-setup
diff options
context:
space:
mode:
Diffstat (limited to 'x86_64-generic/devel-system-setup')
-rwxr-xr-xx86_64-generic/devel-system-setup62
1 files changed, 62 insertions, 0 deletions
diff --git a/x86_64-generic/devel-system-setup b/x86_64-generic/devel-system-setup
new file mode 100755
index 0000000..a6f872e
--- /dev/null
+++ b/x86_64-generic/devel-system-setup
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+set -e
+
+#Set up the initial /src disk
+if [ -e /dev/disk/by-label/src ]
+then
+ echo "Disk labelled src found"
+else
+ echo "Disk labelled src not found. Initializing /dev/sdb as src"
+ mkfs.btrfs -L src /dev/sdb
+fi
+
+#Ensure the /src directory exists
+mkdir -p /src
+
+#Add the /src disk to /etc/fstab if it doesn't exist
+grep "LABEL=src" /etc/fstab >/dev/null || echo 'LABEL=src /src btrfs defaults 0 2' >>/etc/fstab
+
+#Mount the disk so that it can be configured
+mount -a
+
+#Retrieve the staging-filler
+if [ -e /src/staging-filler ]
+then
+ cd /src/staging-filler
+ git pull origin master
+ cd -
+else
+ git clone ssh://git@trove.genivi.baserock.com/ct/genivi/genivi-staging-filler /src/staging-filler
+fi
+
+if [ -e /src/staging-filler/water-bomb-x86_64-filler.tar.gz ]
+then
+ echo "Water bomb staging-filler already exists"
+else
+ echo "Downloading water bomb staging-filler"
+ wget -P /src/staging-filler http://download.baserock.org/baserock/water-bomb-x86_64-filler.tar.gz
+fi
+
+#Ensure the cache and temp directories exist
+mkdir -p /src/cache
+mkdir -p /src/tmp
+
+#Create morph.conf
+cat >/src/morph.conf <<EOF
+[config]
+log = /src/morph.log
+cachedir = /src/cache
+tempdir = /src/tmp
+staging-chroot = true
+staging-filler = /src/staging-filler/water-bomb-x86_64-filler.tar.gz, \
+ /src/staging-filler/genivi-staging.tar.gz
+trove-host = trove.genivi.baserock.com
+trove-prefix = ct
+EOF
+
+#Ensure morph uses our morph.conf
+[ -e $HOME/.morph.conf ] && rm $HOME/.morph.conf
+ln -s /src/morph.conf $HOME/.morph.conf
+
+echo "Initial setup complete."